import { CounterpartyInfo, CounterpartyInfoAmino } from "./counterparty";
import { Config, ConfigAmino } from "./config";
import { BinaryReader, BinaryWriter } from "../../../../binary";
import { DeepPartial } from "../../../../helpers";
/**
 * QueryCounterpartyInfoRequest is the request type for the Query/CounterpartyInfo RPC
 * method
 * @name QueryCounterpartyInfoRequest
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoRequest
 */
export interface QueryCounterpartyInfoRequest {
    /**
     * client state unique identifier
     */
    clientId: string;
}
export interface QueryCounterpartyInfoRequestProtoMsg {
    typeUrl: "/ibc.core.client.v2.QueryCounterpartyInfoRequest";
    value: Uint8Array;
}
/**
 * QueryCounterpartyInfoRequest is the request type for the Query/CounterpartyInfo RPC
 * method
 * @name QueryCounterpartyInfoRequestAmino
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoRequest
 */
export interface QueryCounterpartyInfoRequestAmino {
    /**
     * client state unique identifier
     */
    client_id: string;
}
export interface QueryCounterpartyInfoRequestAminoMsg {
    type: "cosmos-sdk/QueryCounterpartyInfoRequest";
    value: QueryCounterpartyInfoRequestAmino;
}
/**
 * QueryCounterpartyInfoResponse is the response type for the
 * Query/CounterpartyInfo RPC method.
 * @name QueryCounterpartyInfoResponse
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoResponse
 */
export interface QueryCounterpartyInfoResponse {
    counterpartyInfo?: CounterpartyInfo;
}
export interface QueryCounterpartyInfoResponseProtoMsg {
    typeUrl: "/ibc.core.client.v2.QueryCounterpartyInfoResponse";
    value: Uint8Array;
}
/**
 * QueryCounterpartyInfoResponse is the response type for the
 * Query/CounterpartyInfo RPC method.
 * @name QueryCounterpartyInfoResponseAmino
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoResponse
 */
export interface QueryCounterpartyInfoResponseAmino {
    counterparty_info?: CounterpartyInfoAmino;
}
export interface QueryCounterpartyInfoResponseAminoMsg {
    type: "cosmos-sdk/QueryCounterpartyInfoResponse";
    value: QueryCounterpartyInfoResponseAmino;
}
/**
 * QueryConfigRequest is the request type for the Query/Config RPC method
 * @name QueryConfigRequest
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigRequest
 */
export interface QueryConfigRequest {
    /**
     * client state unique identifier
     */
    clientId: string;
}
export interface QueryConfigRequestProtoMsg {
    typeUrl: "/ibc.core.client.v2.QueryConfigRequest";
    value: Uint8Array;
}
/**
 * QueryConfigRequest is the request type for the Query/Config RPC method
 * @name QueryConfigRequestAmino
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigRequest
 */
export interface QueryConfigRequestAmino {
    /**
     * client state unique identifier
     */
    client_id: string;
}
export interface QueryConfigRequestAminoMsg {
    type: "cosmos-sdk/QueryConfigRequest";
    value: QueryConfigRequestAmino;
}
/**
 * QueryConfigResponse is the response type for the Query/Config RPC method
 * @name QueryConfigResponse
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigResponse
 */
export interface QueryConfigResponse {
    config?: Config;
}
export interface QueryConfigResponseProtoMsg {
    typeUrl: "/ibc.core.client.v2.QueryConfigResponse";
    value: Uint8Array;
}
/**
 * QueryConfigResponse is the response type for the Query/Config RPC method
 * @name QueryConfigResponseAmino
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigResponse
 */
export interface QueryConfigResponseAmino {
    config?: ConfigAmino;
}
export interface QueryConfigResponseAminoMsg {
    type: "cosmos-sdk/QueryConfigResponse";
    value: QueryConfigResponseAmino;
}
/**
 * QueryCounterpartyInfoRequest is the request type for the Query/CounterpartyInfo RPC
 * method
 * @name QueryCounterpartyInfoRequest
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoRequest
 */
export declare const QueryCounterpartyInfoRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCounterpartyInfoRequest;
    isAmino(o: any): o is QueryCounterpartyInfoRequestAmino;
    encode(message: QueryCounterpartyInfoRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCounterpartyInfoRequest;
    fromPartial(object: DeepPartial<QueryCounterpartyInfoRequest>): QueryCounterpartyInfoRequest;
    fromAmino(object: QueryCounterpartyInfoRequestAmino): QueryCounterpartyInfoRequest;
    toAmino(message: QueryCounterpartyInfoRequest): QueryCounterpartyInfoRequestAmino;
    fromAminoMsg(object: QueryCounterpartyInfoRequestAminoMsg): QueryCounterpartyInfoRequest;
    toAminoMsg(message: QueryCounterpartyInfoRequest): QueryCounterpartyInfoRequestAminoMsg;
    fromProtoMsg(message: QueryCounterpartyInfoRequestProtoMsg): QueryCounterpartyInfoRequest;
    toProto(message: QueryCounterpartyInfoRequest): Uint8Array;
    toProtoMsg(message: QueryCounterpartyInfoRequest): QueryCounterpartyInfoRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryCounterpartyInfoResponse is the response type for the
 * Query/CounterpartyInfo RPC method.
 * @name QueryCounterpartyInfoResponse
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryCounterpartyInfoResponse
 */
export declare const QueryCounterpartyInfoResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCounterpartyInfoResponse;
    isAmino(o: any): o is QueryCounterpartyInfoResponseAmino;
    encode(message: QueryCounterpartyInfoResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCounterpartyInfoResponse;
    fromPartial(object: DeepPartial<QueryCounterpartyInfoResponse>): QueryCounterpartyInfoResponse;
    fromAmino(object: QueryCounterpartyInfoResponseAmino): QueryCounterpartyInfoResponse;
    toAmino(message: QueryCounterpartyInfoResponse): QueryCounterpartyInfoResponseAmino;
    fromAminoMsg(object: QueryCounterpartyInfoResponseAminoMsg): QueryCounterpartyInfoResponse;
    toAminoMsg(message: QueryCounterpartyInfoResponse): QueryCounterpartyInfoResponseAminoMsg;
    fromProtoMsg(message: QueryCounterpartyInfoResponseProtoMsg): QueryCounterpartyInfoResponse;
    toProto(message: QueryCounterpartyInfoResponse): Uint8Array;
    toProtoMsg(message: QueryCounterpartyInfoResponse): QueryCounterpartyInfoResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryConfigRequest is the request type for the Query/Config RPC method
 * @name QueryConfigRequest
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigRequest
 */
export declare const QueryConfigRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryConfigRequest;
    isAmino(o: any): o is QueryConfigRequestAmino;
    encode(message: QueryConfigRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryConfigRequest;
    fromPartial(object: DeepPartial<QueryConfigRequest>): QueryConfigRequest;
    fromAmino(object: QueryConfigRequestAmino): QueryConfigRequest;
    toAmino(message: QueryConfigRequest): QueryConfigRequestAmino;
    fromAminoMsg(object: QueryConfigRequestAminoMsg): QueryConfigRequest;
    toAminoMsg(message: QueryConfigRequest): QueryConfigRequestAminoMsg;
    fromProtoMsg(message: QueryConfigRequestProtoMsg): QueryConfigRequest;
    toProto(message: QueryConfigRequest): Uint8Array;
    toProtoMsg(message: QueryConfigRequest): QueryConfigRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryConfigResponse is the response type for the Query/Config RPC method
 * @name QueryConfigResponse
 * @package ibc.core.client.v2
 * @see proto type: ibc.core.client.v2.QueryConfigResponse
 */
export declare const QueryConfigResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryConfigResponse;
    isAmino(o: any): o is QueryConfigResponseAmino;
    encode(message: QueryConfigResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryConfigResponse;
    fromPartial(object: DeepPartial<QueryConfigResponse>): QueryConfigResponse;
    fromAmino(object: QueryConfigResponseAmino): QueryConfigResponse;
    toAmino(message: QueryConfigResponse): QueryConfigResponseAmino;
    fromAminoMsg(object: QueryConfigResponseAminoMsg): QueryConfigResponse;
    toAminoMsg(message: QueryConfigResponse): QueryConfigResponseAminoMsg;
    fromProtoMsg(message: QueryConfigResponseProtoMsg): QueryConfigResponse;
    toProto(message: QueryConfigResponse): Uint8Array;
    toProtoMsg(message: QueryConfigResponse): QueryConfigResponseProtoMsg;
    registerTypeUrl(): void;
};
